# DaprProtos.UnsubscribeConfigurationRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.UnsubscribeConfigurationRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.UnsubscribeConfigurationRequest`, `DaprProtos.UnsubscribeConfigurationRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.UnsubscribeConfigurationRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` The id to unsubscribe.
`com.google.protobuf.ByteString` `getIdBytes()` The id to unsubscribe.
`String` `getStoreName()` The name of configuration store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of configuration store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStoreName

    String getStoreName()

     The name of configuration store.

`string store_name = 1;`

Returns:
  The storeName.

#### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

     The name of configuration store.

`string store_name = 1;`

Returns:
  The bytes for storeName.

#### getId

    String getId()

     The id to unsubscribe.

`string id = 2;`

Returns:
  The id.

#### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

     The id to unsubscribe.

`string id = 2;`

Returns:
  The bytes for id.